%define oname   archive-tar-minitar

Name:       ruby-%{oname}
Version:    0.5.2
Release:    %mkrel 7
Summary:    Provides POSIX tarchive management from Ruby programs
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://rubyforge.org/projects/ruwiki/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     archive-tar-minitar-0.5.2-add-license.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Archive::Tar::Minitar is a pure-Ruby library and command-line utility that
provides the ability to deal with POSIX tar(1) archive files. The
implementation is based heavily on Mauricio Ferna'ndez's implementation in
rpa-base, but has been reorganised to promote reuse in other projects.

%files
%{_bindir}/minitar
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ChangeLog
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Install
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p0
gzip metadata

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.5.2-7.mga3
+ Revision: 395715
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-6.mga3
+ Revision: 380652
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.5.2-5.mga3
+ Revision: 312500
- add license field
- rebuild for new ruby

* Tue Jan 25 2011 shikamaru <shikamaru> 0.5.2-4.mga1
+ Revision: 39657
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 0.5.2-3.mga1
+ Revision: 35472
- imported package ruby-archive-tar-minitar

